<template>
  <div
    :class="`event`"
    :style="`background: ${linearGradient}; grid-area: ${id}`"
  >
    <div>
      <h3>
        {{ $t(`${id}.title`) }}
      </h3>
      <p class="event__paragraph">
        <strong>{{ $t('global.participants') }}</strong>: {{ participants }}
      </p>

      <p class="event__paragraph">
        <strong>{{ $t('global.date') }}</strong>: {{ $t(`${id}.date`) }}
      </p>

      <p class="event__paragraph">
        <strong>{{ $t('global.local') }}</strong>: {{ $t(`${id}.local`) }}
      </p>

      <p class="event__paragraph">
        {{ $t(`${id}.description`) }}
      </p>
    </div>

    <button class="event__button" @click="redirect">
      {{ $t('global.sponsor') }}
    </button>
  </div>
</template>


<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    id: {
      type: String,
      required: true,
    },
    participants: {
      type: Number,
      required: true,
    },
    linearGradient: {
      type: String,
      required: true,
    },
    index: {
      type: Number,
      default: 0,
    },
  },

  methods: {
    redirect(): void {
      const { $store, $router, id }: any = this;
      ($router as any).history.push(`/pricing/${id}`);
    },
  },
});
</script>

<style lang="postcss">
.event {
  @apply flex flex-col justify-between my-4 rounded-lg p-4;
}

.event__paragraph {
  @apply my-2
}

.event__button {
  @apply self-end mt-2 rounded py-2 px-4 text-white bg-black;
}

@screen lg {
  .event {
    @apply h-full;
  }
}
</style>
